<?php

namespace Bydedi\DebugBar;

use Bydedi\Container\ServiceProvider;
use Bydedi\DebugBar\DependencyInjection\Compiler\RegisterDataCollectorPass;
use Symfony\Component\DependencyInjection\Reference;

class DebugBarServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {

        $this->serviceContainer->addCompilerPass(
            new RegisterDataCollectorPass()
        );

        $this->serviceContainer->register('debug_bar', 'Bydedi\DebugBar\DebugBar');

        $this->serviceContainer->register('debug_bar.debug_bar_subscriber', 'Bydedi\DebugBar\EventListener\DebugBarListener')
            ->addArgument(new Reference('template'))
            ->addArgument(new Reference('debug_bar'))
            ->addTag('app.event_subscriber');
    }
}
